
#ifdef __FREEBITMAP__

// begin of definition of FREEBITMAPAPI, FREEBITMAPAPIEXPORT and FREEBITMAPCLASS

#define FREEBITMAPAPI WINAPI

#if defined (__XGOBMP__) || defined (GCISINTERNAL) || defined (__FREEBITMAP__)

#if defined( __BORLANDC__ )
#define FREEBITMAPAPIEXPORT _export
#elif  defined(_MSC_VER)
#define FREEBITMAPAPIEXPORT __declspec( dllexport )
#elif
#error NO KNOWN COMPILER
#endif

#else

#if defined( __BORLANDC__ )
#define FREEBITMAPAPIEXPORT _import
#elif  defined(_MSC_VER)
#define FREEBITMAPAPIEXPORT __declspec( dllimport )
#elif
#error NO KNOWN COMPILER
#endif

#endif

#define FREEBITMAPCLASS     FREEBITMAPAPIEXPORT

////  end

#ifndef LPCBYTE
typedef CONST BYTE *LPCBYTE, *PCBYTE;
#endif



#ifdef __cplusplus

extern "C" {            /* Assume C declarations for C++ */
#endif  /* __cplusplus */

FREEBITMAPAPIEXPORT DWORD FREEBITMAPAPI GetSupportedExt(LPSTR lpBuffer,
                                                        DWORD dwSize);


FREEBITMAPAPIEXPORT HGLOBAL FREEBITMAPAPI LoadInDIBFromFile(                               
                                LPSTR lpFileName) ;

FREEBITMAPAPIEXPORT HGLOBAL FREEBITMAPAPI LoadInDIBFromMemory(                                
                                LPCVOID lpData, DWORD dwSize) ;

FREEBITMAPAPIEXPORT BOOL    FREEBITMAPAPI GetBitmapFileInformationFromFile(
                                LPCSTR szFileName, LPRECT lpRect,
                                RGBQUAD* pBmiColor,LPDWORD lpdwSize);

FREEBITMAPAPIEXPORT BOOL    FREEBITMAPAPI GetBitmapFileInformationFromMemory(
                                LPCVOID lpData, DWORD dwSize, LPRECT lpRect,
                                RGBQUAD* pBmiColor,LPDWORD lpdwSize);


#ifdef __cplusplus
}
#endif  /* __cplusplus */

#endif
