HANDLE DibTool_CreateDIB(DWORD dwWidth, DWORD dwHeight, DWORD wBitCount);
DWORD DibTool_PaletteSize(LPVOID lpDIB);
DWORD DibTool_DIBNumColors(LPVOID lpDIB);


LPSTR DibTool_FindDIBBits(LPVOID lpDIB);

BOOL DIBTool_CompactLine(LPVOID lpDestLine,LPCVOID lpSrcLine,DWORD dwWidth,DWORD dwNbBitPixel);

BOOL DIBTool_GetDIBInfo(LPVOID lpDib,
                        long &lX,long &lY,long &lNbBitsColor,
	                    long &iNbColorPalette,
                        LPBYTE & rawdata);

BOOL DIBTool_AnalysePalette(RGBQUAD* lpPalette, DWORD dwNbBits,
                               BOOL &fIsPalette, DWORD &dwNbPalEntry,
                               BOOL &fIsGrayPalette, BOOL &fIsOrderedGrayPalette,
                               DWORD& dwStepPalInGray);

BOOL DIBTool_ExpandLine(LPVOID lpDestLine,LPCVOID lpSrcLine,DWORD dwWidth,DWORD dwNbBitPixel);

//BOOL DibTool_GetFileSize(LPCSTR lpFn,DWORD &dwSize,LPSTR lpTrueName=NULL);

#ifndef Round4
#define Round4(x) ((((x)+3)/4)*4)
#endif

#ifndef MyRound
#define MyRound(x,y) ((((x)+((y)-1))/(y))*(y))
#endif
